%define major 4
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:        A library for audio labelling
Name:           aubio
Version:        0.4.2
Release:        %mkrel 2
License:        GPLv2+
Group:          Sound/Utilities
Url:            http://aubio.org/
Source0:        http://aubio.org/pub/%{name}-%{version}.tar.bz2
Patch1:         aubio-0.4.2-libdir.patch

# Fix byte-compilation error. Borrowed from Debian
BuildRequires:  doxygen
BuildRequires:  fftw3-devel
BuildRequires:  libsndfile-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  libalsa-devel
BuildRequires:  swig
BuildRequires:  lash-devel
BuildRequires:  pd-devel
BuildRequires:  docbook-to-man
BuildRequires:  python-devel
BuildRequires:  python-numpy-devel
BuildRequires:  python-setuptools
BuildRequires:  python-sphinx
Requires:       %{libname} = %{version}-%{release}

%description
A library for audio labelling. Its features include segmenting
a sound file before each of its attacks, performing pitch
detection, tapping the beat and producing midi streams from
live audio. The name aubio comes from 'audio' with a typo:
several transcription errors are likely to be found in the
results too.

%package -n %{libname}
Summary:        Main library for %{name}
Group:          System/Libraries
Requires:       %{name} = %{version}-%{release}

%description -n %{libname}
Main library for %{name}.

%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files and headers for %{name}.

%package -n python-%{name}
Summary:        Python bindings for %{name}
Group:          Development/Python
Requires:       %{libname} = %{version}-%{release}
Requires:       python

%description -n python-%{name}
Python bindings for %{name}.

%prep
%setup -q
%autopatch -p1

%build
%define _disable_ld_no_undefined 1
export CPPFLAGS="%{optflags} -I%{_includedir}/pd"
export LDFLAGS="%ldflags -lm"
./waf configure --prefix=/usr \
    --libdir=%{_libdir}


./waf build

%install
./waf install --destdir="$RPM_BUILD_ROOT"
pushd python
%{__python} setup.py install --root=%{buildroot}
popd
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
rm $RPM_BUILD_ROOT/%{_libdir}/libaubio.a

%files
%doc AUTHORS README.md
%{_bindir}/*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_docdir}/libaubio-doc/html
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files -n python-%{name}
%{python_sitearch}/*




%changelog
* Sat Feb 13 2016 umeabot <umeabot> 0.4.2-2.mga6
+ Revision: 959544
- Mageia 6 Mass Rebuild

* Sun Nov 29 2015 shlomif <shlomif> 0.4.2-1.mga6
+ Revision: 907126
- Add missing BR
- Add missing BR
- Add missing BR
- New version 0.4.2

* Sat Jun 20 2015 shlomif <shlomif> 0.4.1-1.mga6
+ Revision: 835806
- synced patches
- New version 0.4.1

* Wed Oct 15 2014 umeabot <umeabot> 0.3.2-17.mga5
+ Revision: 747434
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.3.2-16.mga5
+ Revision: 725956
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.3.2-15.mga5
+ Revision: 678035
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.3.2-14.mga5
+ Revision: 628107
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.3.2-13.mga4
+ Revision: 546161
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 philippem <philippem> 0.3.2-12.mga4
+ Revision: 502242
- Fix byte-compilation error. Borrowed from Debian

* Fri Jan 11 2013 umeabot <umeabot> 0.3.2-11.mga3
+ Revision: 346570
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 malo <malo> 0.3.2-10.mga3
+ Revision: 322752
- update RPM group

* Sat Dec 10 2011 eatdirt <eatdirt> 0.3.2-9.mga2
+ Revision: 180311
- Rebuilt for fftw-3.3
  Fix compilation failure due to missing symbols

* Tue Jun 14 2011 dmorgan <dmorgan> 0.3.2-8.mga2
+ Revision: 106324
- Do not package .la files

* Tue Mar 29 2011 ennael <ennael> 0.3.2-7.mga1
+ Revision: 78703
- clean spec file
- clean spec file
- imported package aubio


* Fri Nov 05 2010 Funda Wang <fwang@mandriva.org> 0.3.2-7mdv2011.0
+ Revision: 593668
- BR docbook-to-man
- fix python linakge

* Sat Feb 27 2010 Götz Waschk <waschk@mandriva.org> 0.3.2-7mdv2010.1
+ Revision: 512442
- rebuild for new libjack

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 0.3.2-6mdv2010.0
+ Revision: 436681
- rebuild

* Mon Dec 29 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-5mdv2009.1
+ Revision: 321018
- fix build on x86_64
- link against pd-devel
- use %%define _disable_ld_no_undefined 1
- Patch0: fix build with -Werror=format-security

* Mon Aug 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-2mdv2009.0
+ Revision: 270860
- fix provides for devel subpackage

* Mon Aug 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-1mdv2009.0
+ Revision: 270810
- add buildrequires on libsndfile-devel, libsamplerate-devel, libalsa-devel, swig, lash-devel and pd-devel
- fix file list
- add more provides for devel subpackage
- add source and spec files
- Created package structure for aubio.

